<?php

/**
 * 短信宝短信接口发送实现.
 * User: SMSBAO
 * Date: 2018/1/16
 * Time: 14:50
 */


namespace Niaoyun\Common\Sms;

/**
* 
*/
class Smsbao extends BaseSms implements ISms
{
	private $config;   //配置
	private $url;      //接口地址
	private $params;   //请求参数

	//短信宝错误代码
	public $smsbao_errorArr=array(
		-1=>'参数不全',
		0=>'发送成功',
		30=>'密码错误',
		40=>'账号不存在',
		41=>'余额不足',
		42=>'帐号过期',
		43=>'IP地址限制',
		50=>'内容含有敏感词',
		51=>'手机号码不正确',
	);

	public function __construct()
	{
		$this->config = [
			'url'    => 'http://api.smsbao.com/sms',
			'u'      => C('smg.smgSmsbaoUser'),
			'p'      => C('smg.smgSmsbaoPass'),
			's'      => C('smg.smgSmsbaoSign'),
		];
	}


	public function send($mobile,$content,$id=null)
	{	
		$url = $this->config['url'].'?u='.$this->config['u'].'&p='.md5($this->config['p']).'&m='.$mobile.'&c=【'.$this->config['s'].'】'.$content;
		if (function_exists('file_get_contents')) {
			$ret = file_get_contents($url);
		}else{
			$curl = curl_init();
         	curl_setopt($curl, CURLOPT_URL, $url);
         	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
         	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
         	if (!empty($data)) {
             	curl_setopt($curl, CURLOPT_POST, 1);
            	curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
         	}
         	curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
         	$ret = curl_exec($curl);
         	curl_close($curl);
		}

		if ($ret == 0) {
			return true;
		}else{
			$this->error = $smsbao_errorArr[$ret];
			return false;
		}

	}
}